Loading...
Searching...
No Matches
spamsum.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | blockhash_ctx
struct | roll_state
struct | spamsum_ctx

## Macros

#define | SPAMSUM_LENGTH 64
#define | NUM_BLOCKHASHES 31
#define | ROLLING_WINDOW 7
#define | HASH_INIT 0x28021967
#define | HASH_PRIME 0x01000193
#define | MIN_BLOCKSIZE 3
#define | FUZZY_MAX_RESULT ((2 * SPAMSUM_LENGTH) + 20)

## Macro Definition Documentation

## FUZZY_MAX_RESULT

#define FUZZY_MAX_RESULT ((2 * SPAMSUM_LENGTH) + 20)

Definition at line 30 of file spamsum.h.

Referenced by aaruf_spamsum_final(), and write_checksum_block().

## HASH_INIT

#define HASH_INIT 0x28021967

Definition at line 27 of file spamsum.h.

Referenced by aaruf_spamsum_init(), and fuzzy_engine_step().

## HASH_PRIME

#define HASH_PRIME 0x01000193

Definition at line 28 of file spamsum.h.

## MIN_BLOCKSIZE

#define MIN_BLOCKSIZE 3

Definition at line 29 of file spamsum.h.

## NUM_BLOCKHASHES

#define NUM_BLOCKHASHES 31

Definition at line 25 of file spamsum.h.

Referenced by aaruf_spamsum_final(), and fuzzy_try_fork_blockhash().

## ROLLING_WINDOW

#define ROLLING_WINDOW 7

Definition at line 26 of file spamsum.h.

Referenced by roll_hash().

## SPAMSUM_LENGTH

#define SPAMSUM_LENGTH 64

Definition at line 24 of file spamsum.h.

Referenced by aaruf_spamsum_final(), fuzzy_engine_step(), and fuzzy_try_reduce_blockhash().